Summary:	GeoLite IPASNum - IP to AS number translation database for GeoIP
Summary(pl.UTF-8):	GeoLite IPASNum - baza danych tłumaczeń adresów IP na numery AS dla GeoIP
Name:		GeoIP-db-IPASNum
# Updated every month:
Version:	2018.03.24
Release:	1
License:	CC 3.0 BY-SA
Group:		Applications/Databases
Source0:	http://download.maxmind.com/download/geoip/database/asnum/GeoIPASNum.dat.gz?/GeoIPASNum-%{version}.dat.gz
# Source0-md5:	25a61aba0974ff4e74e315f7dd3fa1b0
URL:		http://dev.maxmind.com/geoip/legacy/geolite/
Requires:	GeoIP-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains IPv4 to AS number translation database for
GeoIP.

License disclaimer: this product includes GeoLite data created by
MaxMind, available from <http://www.maxmind.com/>.

%description -l pl.UTF-8
Ten pakiet zawiera bazę danych tłumaczeń adresów IPv4 na numery AS dla
GeoIP.

Informacja licencyjna: ten produkt zawiera dane GeoLite stworzone
przez MaxMind, dostępne z <http://www.maxmind.com/>.

%prep
%setup -qcT
cp -p %{SOURCE0} GeoIPASNum.dat.gz
gunzip GeoIPASNum.dat.gz

ver=$(TZ=GMT stat -c '%y' GeoIPASNum.dat | awk '{print $1}' | tr - .)
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/GeoIP
cp -p GeoIPASNum.dat $RPM_BUILD_ROOT%{_datadir}/GeoIP

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/GeoIP/*.dat
%changelog
* Sat Apr 07 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/GeoIP-db-IPASNum.git;a=log;h=master

* Sat Mar 24 2018 Elan Ruusamäe <glen@pld-linux.org> bb0ac90
- updated to 2018.03.24

* Sat Mar 17 2018 Elan Ruusamäe <glen@pld-linux.org> 401f715
- updated to 2018.03.17

* Sat Mar 10 2018 Elan Ruusamäe <glen@pld-linux.org> 9fc3634
- updated to 2018.03.10

* Sat Mar 03 2018 Elan Ruusamäe <glen@pld-linux.org> 909b5a2
- updated to 2018.03.03

* Sat Feb 24 2018 Elan Ruusamäe <glen@pld-linux.org> b5fccd4
- updated to 2018.02.24

* Sat Feb 17 2018 Elan Ruusamäe <glen@pld-linux.org> ebaec27
- updated to 2018.02.17

* Sat Feb 10 2018 Elan Ruusamäe <glen@pld-linux.org> d26560f
- updated to 2018.02.10

* Sat Feb 03 2018 Elan Ruusamäe <glen@pld-linux.org> 818507d
- updated to 2018.02.03

* Sat Jan 27 2018 Elan Ruusamäe <glen@pld-linux.org> c7fcb64
- updated to 2018.01.27

* Sat Jan 20 2018 Elan Ruusamäe <glen@pld-linux.org> 0100916
- updated to 2018.01.20

* Sat Jan 13 2018 Elan Ruusamäe <glen@pld-linux.org> 5a93f50
- updated to 2018.01.13

* Sat Jan 06 2018 Elan Ruusamäe <glen@pld-linux.org> d2c257b
- updated to 2018.01.06

* Sat Dec 30 2017 Elan Ruusamäe <glen@pld-linux.org> ea30a76
- updated to 2017.12.30

* Sat Dec 23 2017 Elan Ruusamäe <glen@pld-linux.org> f63b18c
- updated to 2017.12.23

* Sat Dec 16 2017 Elan Ruusamäe <glen@pld-linux.org> cd18545
- updated to 2017.12.16

* Sat Dec 09 2017 Elan Ruusamäe <glen@pld-linux.org> 80a3dd6
- updated to 2017.12.09

* Sat Dec 02 2017 Elan Ruusamäe <glen@pld-linux.org> 0e07b59
- updated to 2017.12.02

* Sat Nov 25 2017 Elan Ruusamäe <glen@pld-linux.org> 7285071
- updated to 2017.11.25

* Sat Nov 18 2017 Elan Ruusamäe <glen@pld-linux.org> 09b4729
- updated to 2017.11.18

* Sat Nov 11 2017 Elan Ruusamäe <glen@pld-linux.org> 59bbcda
- updated to 2017.11.11

